Pular para o conteúdo

Confirmar a inscrição de um convidado (link do e-mail)

POST
/v1/registrations/confirm
curl --request POST \
--url https://api.vimine.network/v1/registrations/confirm \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'

Consome o token trazido pelo link de confirmação: um tipo gratuito é confirmado (a resposta traz o token do QR), um pago continua reservado pelo prazo de reserva do evento e a resposta traz payment_instructions. Idempotente na repetição.

Tipo de mídiaapplication/json
object
token
obrigatório
string
Exemplogerado
{
"token": "example"
}

A inscrição

Tipo de mídiaapplication/json
object
id
string formato: uuid
status
string
Valores permitidos: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string formato: date-time
ends_at
string formato: date-time
nullable
timezone
string
status
string
location
string
nullable
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string formato: date-time
nullable
checked_in_at
string formato: date-time
nullable
cancelled_at
string formato: date-time
nullable
cancel_reason
string
nullable
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string formato: date-time
payment_instructions

Como pagar a contribuição durante a reserva

string
nullable
note

Texto livre que a pessoa escreveu. Omitido (null) para os clientes de terceiros quando a associação declarou que trata categorias especiais de dados

string
nullable
created_at
string formato: date-time
token

O conteúdo do QR da inscrição (vmt_…), só para as inscrições confirmadas

string
nullable
Exemplo
{
"status": "reserved"
}

O link é inválido ou expirou (invalid_token)

Não encontrado

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

A inscrição não está mais ativa ou o evento foi cancelado

Limite de requisições excedido

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erro interno

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}